﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace KrakJam {
    public class PickupableObjectAudio : MonoBehaviour {

        private AudioSource _audioSource;
        private Pickupable _pickupable;
        private float _baseVol = 0.2f;

        private void Awake() {
            _audioSource = GetComponent<AudioSource>();
            _pickupable = GetComponent<Pickupable>();
            _audioSource.volume = _baseVol;
        }

        private void OnCollisionEnter2D(Collision2D other) {
            if (!_pickupable.owner) {
                if (_pickupable.rigidbody.velocity.magnitude > 3f) {
                    List<AudioClip> list = DynamicObjectsAudioManager.instance.dynamicObjectsHit;
                    _audioSource.pitch = Random.Range(.75f, 1.25f);
                    _audioSource.volume = _baseVol * Mathf.Clamp01(_pickupable.rigidbody.velocity.magnitude / 3f);
                    _audioSource.PlayOneShot(list[Random.Range(0, list.Count)]);
                }
            }
        }
    }
}
