﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace KrakJam {
    public class PlayerAudioProxy : MonoBehaviour {

        [SerializeField]
        private PlayerFeetstepAudio _feetstepAudio;
        [SerializeField]
        private PlayerGunAudio _gunAudio;
        [SerializeField]
        private PlayerVoiceAudio _voiceAudio;

        public void PlayJump() {
            _feetstepAudio.PlayJump();
        }

        public void PlayRun() {
            _feetstepAudio.PlayFeetsteps();
        }

        public void PlayLand() {
            _feetstepAudio.PlayLand();
        }

        public void PlayGunPull() {
            _gunAudio.PlayPull();
        }
        public void PlayGunPush() {
            _gunAudio.PlayPush();
        }
        public void PlayGunMissing() {
            _gunAudio.PlayMissing();
        }

        public void PlayVoiceDeath() {
            _voiceAudio.PlayDeath();
        }
    }
}
