﻿using UnityEngine;
using System.Collections;
using XInputDotNetPure;

namespace KrakJam
{
    public class PlayerSpawner : GenericSingleton<PlayerSpawner>
    {
        #region Fields and properties

        [SerializeField] private GameObject _playerPrefab;
        [SerializeField] private Transform[] _playerStartPositions;
        [SerializeField] private Transform _sprawnPointL;
        [SerializeField] private Transform _sprawnPointR;
        [SerializeField]
        private Transform _spawnPointLHigh;
        [SerializeField]
        private Transform _spawnPointRHight;
        #endregion


        #region Constructors and Initialization
        #endregion


        #region MonoBehaviour methods
        #endregion


        #region Public methods

        public void CreatePlayers(int nPlayers)
        {
            for (int i = 0; i < nPlayers; ++i)
            {
                var obj = Instantiate(_playerPrefab).GetComponent<PlayerController>();
                obj.Initialize((PlayerIndex)i, (i % 2));
                obj.transform.position = _playerStartPositions[i].position;
                obj.SpawnPoint = (( i % 2 ) == 0) ? _sprawnPointL : _sprawnPointR;
                obj.SpawnPointHigh = ((i % 2) == 0) ? _spawnPointLHigh : _spawnPointRHight;
                Debug.Log(obj.name);
            }
        }


        public void CreatePlayers(bool[] readyPlayer, int mode)
        {
            int p = 0;
            for (int i = 0; i < 4; ++i)
            {
                if (readyPlayer[i])
                {
                    var obj = Instantiate(_playerPrefab).GetComponent<PlayerController>();
                    obj.Initialize((PlayerIndex)i, ( i % 2 ));
                    obj.transform.position = _playerStartPositions[i].position;
                    obj.SpawnPoint = ( ( i % 2 ) == 0 ) ? _sprawnPointL : _sprawnPointR;
                    obj.SpawnPointHigh = ( ( i % 2 ) == 0 ) ? _spawnPointLHigh : _spawnPointRHight;
                    p += 1;
                }

                if (p == mode)
                    break;
            }
        }

        #endregion
        
        
        #region Protected methods
        #endregion
        
        
        #region Private methods
        #endregion

    } //class

} //namespace
