﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace KrakJam {
    public class Lava : MonoBehaviour {

        [SerializeField]
        private GameObject _lawaAnim;
        private SpriteRenderer _spriteRenderer;
        private Collider2D _collider;

        private Vector3 _startPos;

        private void Awake() {
            _startPos = transform.position;
            _spriteRenderer = GetComponent<SpriteRenderer>();
            _collider = GetComponent<Collider2D>();
        }

        private void OnTriggerEnter2D(Collider2D other) {
            if (other.gameObject.layer == LayerMask.NameToLayer("Players")) {
                other.GetComponent<PlayerController>().Die();
            }
        }

        public IEnumerator SetLava() {
            float time = 0;
            _spriteRenderer.enabled = _collider.enabled = true;
            _lawaAnim.SetActive(true);
            while (time < 1) {
                transform.position = _startPos + Vector3.up * time;
                time += Time.deltaTime;
                yield return null;
            }
            time = 1f;
            transform.position = _startPos + Vector3.up * time;
            yield return new WaitForSeconds(GameManager_v2.instance.waveTime - 2);
            while (time > 0) {
                transform.position = _startPos + Vector3.up * time;
                time -= Time.deltaTime;
                yield return null;
            }
            time = 0f;
            transform.position = _startPos + Vector3.up * time;
            _spriteRenderer.enabled = _collider.enabled = false;
            _lawaAnim.SetActive(false);
        }
    }
}