﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace KrakJam {
    public class PickupableGatherCollider : MonoBehaviour {

        private PlayerController _playerController;

        private void Awake() {
            _playerController = GetComponentInParent<PlayerController>();
        }

        private void OnTriggerEnter2D(Collider2D other) {
            if (other.gameObject.layer == LayerMask.NameToLayer("Pickupable")) {
                _playerController.dynamicObjectsInRange.Add(other.GetComponent<Pickupable>());
            }
        }

        private void OnTriggerExit2D(Collider2D other) {
            if (other.gameObject.layer == LayerMask.NameToLayer("Pickupable")) {
                _playerController.dynamicObjectsInRange.Remove(other.GetComponent<Pickupable>());
            }
        }

    }
}
